Index · Directives · Python · libudev · gudev systemd 209

## Name

busctl — Introspect the bus

## Synopsis

`busctl` [OPTIONS...] [COMMAND] [`NAME`...]

## Description

busctl may be used to introspect and monitor the D-Bus bus.

## Options

The following options are understood:

`-h`, `--help`

  Print a short help text and exit.

`--version`

  Print a short version string and exit.

`--no-pager`

  Do not pipe output into a pager.

`--no-legend`

  Do not print the legend, i.e. the column headers and the footer.

`--system`

  Talk to the systemd system manager (the default).

`--user`

  Talk to the systemd manager of the calling user.

`-H`, `--host`

  Execute the operation remotely. Specify a hostname, or username and hostname separated by "`@`", to connect to. This will use SSH to talk to the remote systemd instance.

`-M`, `--machine=`

  Execute the operation on a local container. Specify a container name to connect to.

`--address=`ADDRESS``

  Connect to the bus specified by `ADDRESS` instead of using suitable defaults for either the system or user bus (see `--system` and `--user` options).

`--show-machine`

  When showing the list of endpoints, show a column containing the names of containers they belong to. See systemd-machined.service(8).

`--unique`

  When showing the list of endpoints, show only "unique" names (of the form "`:`number`.`number``").

`--acquired`

  The opposite of `--unique` — only "well-known" names will be shown.

`--activatable`

  When showing the list of endpoints, show only endpoints which have actually not been activated yet, but may be started automatically if accessed.

`--match=`MATCH``

  When showing messages being exchanged, show only the subset matching `MATCH`.

## Commands

The following commands are understood:

list

  Show endpoints attached to the bus. This is the default if no command is specified.

monitor [`NAME`...]

  Dump messages being exchanged. If `NAME` is specified, show messages to or from this endpoint. Otherwise, show all messages on the bus.

status `NAME`

  Show process information and credentials of a bus endpoint.

help

  Show command syntax help.

## See Also

dbus-daemon(1), D-Bus, kdbus, sd-bus(3), systemd(1), systemd-bus-proxyd(8), machinectl(1)